# Class comment

- Defined in File node.hpp

## Inheritance Relationships

### Base Type

- `public zeem::node_with_text` (Class node_with_text)

## Class Documentation

class comment : public zeem::node_with_text

  A node containing a XML comment.

  Public Functions

  inline virtual node_type type() const override

    node_type to be returned by each implementation of this node class

  inline explicit comment(std::string text = {})

    default constructor

  comment(const comment &c) = default

    copy constructor

  inline comment(comment &&c) noexcept

    move constructor

  inline comment &operator=(comment c) noexcept

    assignment operator

  inline virtual bool equals(const node *n) const override

    compare nodes for equality